# coding: utf-8

# flake8: noqa

"""
    Shaped API

    Welcome to Shaped's API reference docs. These provide a detailed view of the endpoints and CLI commands that Shaped provides and brief explanations of how they should be used.   Shaped's API is composed of 3 components:   1. **Dataset** - used to provision and manage 'Shaped Datasets', which are persisted     data views of external data. Shaped Datasets can be created from any of our     'Shaped connectors' (e.g. S3, Segment, Snowflake, etc.) and support both batch     ingestion (up to a 15min delay) and stream ingestion (up to a 30 second     delay) depending on the specific connector used. Shaped datasets can also be     created from local files, which is particularly useful for getting started     with a snapshot of data.    2. **Model Management** - used to provision and manage 'Shaped Models', which     represent a system of data pipelines, training and serving infrastructure for     your ranking use-case.    3. **Model Inference** - a high performance API that's used to make     user-understanding requests or ranking inferences to your 'Shaped Models'. For     example, the 'rank' endpoint can be used to determine for a given user id     query, what is the content that is most engaging to that user.    The recommended workflow to interact with the Shaped API is as follows:   1. First create 'Shaped Datasets' to sync over data that your Shaped     understanding models will need. The models at the minimum need interaction     data to understand behavior of your users, so start with that and add your item     and user catalog data later.   2. Then create 'Shaped Models' that use your created 'Shaped Datasets' as     input. Your Shaped Model will will start streaming, processing and training     from your connected data immediately. After a few hours your model will have     tuned all parameters based on your data and will deploy an active model.   3. You can now use the 'Model Inference' endpoints to make real-time     inferences to your model based on your use-case. 

    The version of the OpenAPI document: 1.0.1
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


__version__ = "1.0.0"

# import apis into sdk package
from shaped.autogen.api.dataset_api import DatasetApi
from shaped.autogen.api.model_inference_api import ModelInferenceApi
from shaped.autogen.api.model_management_api import ModelManagementApi

# import ApiClient
from shaped.autogen.api_response import ApiResponse
from shaped.autogen.api_client import ApiClient
from shaped.autogen.configuration import Configuration
from shaped.autogen.exceptions import OpenApiException
from shaped.autogen.exceptions import ApiTypeError
from shaped.autogen.exceptions import ApiValueError
from shaped.autogen.exceptions import ApiKeyError
from shaped.autogen.exceptions import ApiAttributeError
from shaped.autogen.exceptions import ApiException

# import models into sdk package
from shaped.autogen.models.aws_pinpoint_dataset_config import AWSPinpointDatasetConfig
from shaped.autogen.models.amplitude_dataset_config import AmplitudeDatasetConfig
from shaped.autogen.models.big_query_dataset_config import BigQueryDatasetConfig
from shaped.autogen.models.complement_items_request import ComplementItemsRequest
from shaped.autogen.models.complement_items_response import ComplementItemsResponse
from shaped.autogen.models.connectors_inner import ConnectorsInner
from shaped.autogen.models.create_dataset_arguments import CreateDatasetArguments
from shaped.autogen.models.create_embedding_response import CreateEmbeddingResponse
from shaped.autogen.models.create_item_embedding_request import CreateItemEmbeddingRequest
from shaped.autogen.models.create_model_arguments import CreateModelArguments
from shaped.autogen.models.create_model_response import CreateModelResponse
from shaped.autogen.models.create_user_embedding_request import CreateUserEmbeddingRequest
from shaped.autogen.models.custom_dataset_config import CustomDatasetConfig
from shaped.autogen.models.dataset_config import DatasetConfig
from shaped.autogen.models.dataset_schema_type import DatasetSchemaType
from shaped.autogen.models.datasets_inner import DatasetsInner
from shaped.autogen.models.delete_model_response import DeleteModelResponse
from shaped.autogen.models.fetch_config import FetchConfig
from shaped.autogen.models.file_config import FileConfig
from shaped.autogen.models.file_source_config import FileSourceConfig
from shaped.autogen.models.http_validation_error import HTTPValidationError
from shaped.autogen.models.inference_config import InferenceConfig
from shaped.autogen.models.insert_model_response import InsertModelResponse
from shaped.autogen.models.interaction import Interaction
from shaped.autogen.models.list_datasets_response import ListDatasetsResponse
from shaped.autogen.models.list_models_response import ListModelsResponse
from shaped.autogen.models.model_config import ModelConfig
from shaped.autogen.models.model_response import ModelResponse
from shaped.autogen.models.mongo_db_dataset_config import MongoDBDatasetConfig
from shaped.autogen.models.my_sql_dataset_config import MySQLDatasetConfig
from shaped.autogen.models.path import Path
from shaped.autogen.models.post_rank_request import PostRankRequest
from shaped.autogen.models.postgres_dataset_config import PostgresDatasetConfig
from shaped.autogen.models.rank_attribute_response import RankAttributeResponse
from shaped.autogen.models.rank_grid_attribute_request import RankGridAttributeRequest
from shaped.autogen.models.rank_grid_attribute_request1 import RankGridAttributeRequest1
from shaped.autogen.models.rank_grid_attribute_response import RankGridAttributeResponse
from shaped.autogen.models.rank_response import RankResponse
from shaped.autogen.models.redshift_dataset_config import RedshiftDatasetConfig
from shaped.autogen.models.retrieve_request import RetrieveRequest
from shaped.autogen.models.retriever_top_k_override import RetrieverTopKOverride
from shaped.autogen.models.rudder_stack_dataset_config import RudderStackDatasetConfig
from shaped.autogen.models.segment_dataset_config import SegmentDatasetConfig
from shaped.autogen.models.similar_item_request import SimilarItemRequest
from shaped.autogen.models.similar_response import SimilarResponse
from shaped.autogen.models.similar_users_request import SimilarUsersRequest
from shaped.autogen.models.snowflake_dataset_config import SnowflakeDatasetConfig
from shaped.autogen.models.successful_response import SuccessfulResponse
from shaped.autogen.models.validation_error import ValidationError
from shaped.autogen.models.value_type import ValueType
from shaped.autogen.models.view_model_response import ViewModelResponse
